'UPGRADE_WARNING: The entire project must be compiled once before a form with an ActiveX Control Array can be displayed

Imports System.ComponentModel

<ProvideProperty("Index",GetType(AxMicrosoft.Vbe.Interop.Forms.AxLabel))> Public Class AxLabelArray
	Inherits Microsoft.VisualBasic.Compatibility.VB6.BaseOcxArray
	Implements IExtenderProvider

	Public Sub New()
		MyBase.New()
	End Sub

	Public Sub New(ByVal Container As IContainer)
		MyBase.New(Container)
	End Sub

	Public Shadows Event [BeforeDragOver] (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_BeforeDragOverEvent)
	Public Shadows Event [BeforeDropOrPaste] (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_BeforeDropOrPasteEvent)
	Public Shadows Event [ClickEvent] (ByVal sender As System.Object, ByVal e As System.EventArgs)
	Public Shadows Event [DblClick] (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_DblClickEvent)
	Public Shadows Event [Error] (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_ErrorEvent)
	Public Shadows Event [MouseDownEvent] (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_MouseDownEvent)
	Public Shadows Event [MouseMoveEvent] (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_MouseMoveEvent)
	Public Shadows Event [MouseUpEvent] (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_MouseUpEvent)

	<System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Never)> Public Function CanExtend(ByVal target As Object) As Boolean Implements IExtenderProvider.CanExtend
		If TypeOf target Is AxMicrosoft.Vbe.Interop.Forms.AxLabel Then
			Return BaseCanExtend(target)
		End If
	End Function

	Public Function GetIndex(ByVal o As AxMicrosoft.Vbe.Interop.Forms.AxLabel) As Short
		Return BaseGetIndex(o)
	End Function

	<System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Never)> Public Sub SetIndex(ByVal o As AxMicrosoft.Vbe.Interop.Forms.AxLabel, ByVal Index As Short)
		BaseSetIndex(o, Index)
	End Sub

	<System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Never)> Public Function ShouldSerializeIndex(ByVal o As AxMicrosoft.Vbe.Interop.Forms.AxLabel) As Boolean
		Return BaseShouldSerializeIndex(o)
	End Function

	<System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Never)> Public Sub ResetIndex(ByVal o As AxMicrosoft.Vbe.Interop.Forms.AxLabel)
		BaseResetIndex(o)
	End Sub

	Default Public ReadOnly Property Item(ByVal Index As Short) As AxMicrosoft.Vbe.Interop.Forms.AxLabel
		Get
			Item = CType(BaseGetItem(Index), AxMicrosoft.Vbe.Interop.Forms.AxLabel)
		End Get
	End Property

	Protected Overrides Function GetControlInstanceType() As System.Type
		Return GetType(AxMicrosoft.Vbe.Interop.Forms.AxLabel)
	End Function

	Protected Overrides Sub HookUpControlEvents(ByVal o As Object)
		Dim ctl As AxMicrosoft.Vbe.Interop.Forms.AxLabel = CType(o, AxMicrosoft.Vbe.Interop.Forms.AxLabel)
		MyBase.HookUpControlEvents(o)
		If Not BeforeDragOverEvent Is Nothing Then
			AddHandler ctl.BeforeDragOver, New AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_BeforeDragOverEventHandler(AddressOf HandleBeforeDragOver)
		End If
		If Not BeforeDropOrPasteEvent Is Nothing Then
			AddHandler ctl.BeforeDropOrPaste, New AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_BeforeDropOrPasteEventHandler(AddressOf HandleBeforeDropOrPaste)
		End If
		If Not ClickEventEvent Is Nothing Then
			AddHandler ctl.ClickEvent, New System.EventHandler(AddressOf HandleClickEvent)
		End If
		If Not DblClickEvent Is Nothing Then
			AddHandler ctl.DblClick, New AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_DblClickEventHandler(AddressOf HandleDblClick)
		End If
		If Not ErrorEvent Is Nothing Then
			AddHandler ctl.Error, New AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_ErrorEventHandler(AddressOf HandleError)
		End If
		If Not MouseDownEventEvent Is Nothing Then
			AddHandler ctl.MouseDownEvent, New AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_MouseDownEventHandler(AddressOf HandleMouseDownEvent)
		End If
		If Not MouseMoveEventEvent Is Nothing Then
			AddHandler ctl.MouseMoveEvent, New AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_MouseMoveEventHandler(AddressOf HandleMouseMoveEvent)
		End If
		If Not MouseUpEventEvent Is Nothing Then
			AddHandler ctl.MouseUpEvent, New AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_MouseUpEventHandler(AddressOf HandleMouseUpEvent)
		End If
	End Sub

	Private Sub HandleBeforeDragOver (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_BeforeDragOverEvent) 
		RaiseEvent [BeforeDragOver] (sender, e)
	End Sub

	Private Sub HandleBeforeDropOrPaste (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_BeforeDropOrPasteEvent) 
		RaiseEvent [BeforeDropOrPaste] (sender, e)
	End Sub

	Private Sub HandleClickEvent (ByVal sender As System.Object, ByVal e As System.EventArgs) 
		RaiseEvent [ClickEvent] (sender, e)
	End Sub

	Private Sub HandleDblClick (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_DblClickEvent) 
		RaiseEvent [DblClick] (sender, e)
	End Sub

	Private Sub HandleError (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_ErrorEvent) 
		RaiseEvent [Error] (sender, e)
	End Sub

	Private Sub HandleMouseDownEvent (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_MouseDownEvent) 
		RaiseEvent [MouseDownEvent] (sender, e)
	End Sub

	Private Sub HandleMouseMoveEvent (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_MouseMoveEvent) 
		RaiseEvent [MouseMoveEvent] (sender, e)
	End Sub

	Private Sub HandleMouseUpEvent (ByVal sender As System.Object, ByVal e As AxMicrosoft.Vbe.Interop.Forms.LabelControlEvents_MouseUpEvent) 
		RaiseEvent [MouseUpEvent] (sender, e)
	End Sub

End Class

